Part Cone/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(One intermediate revision by the same user not shown)
Line 28: Line 28:
</div>
</div>


The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.
[[File:Otherwisedefault270degree_Part_Cone.png|300px]]

<div class="mw-translate-fuzzy">
[[Image:Part_Cone_Example.png|400px]]
Imaginea de mai jos prezintă un Cone Part cu parametrul "Unghi" setat la 270 de grade și toți ceilalți parametri sunt la valorile lor implicite.
</div>


== Usage ==
== Usage ==
Line 40: Line 39:
</div>
</div>


== Example ==
<div class="mw-translate-fuzzy">
Valorile implicite creează un con parametric trunchiat, definit de parametrii: raza1, raza2 înălțime și unghi. La creare Conul implicit va fi poziționat la origine (punctul 0,0,0). Parametrul unghi permite crearea unei porțiuni de con (este setată implicit la 360 °), iar raza 1 și 2 corespund razei de bază și respectiv razei vârfului conului trunchiat.


[[Image:Part_Cone_Scripting_Example.png|thumb|Part Cone from the scripting example]]
=== Prima metodă ===
Faceți clic direct pe butonul {{KEY/it|[[Image:Part_Cone.png|16px]]Cono}} din bara de instrumente.
Creează un con standard cu raza bazei de 2 mm, raza superioară de 4 mm, înălțimea de 10 mm și centrul cercului inferior poziționat la origine (punctul 0,0,0). Parametrii pot fi modificați în fila Date din vizualizarea combinată.


A Part Cone object created with the [[#Scripting|scripting example]] below is shown here.
=== A doua metodă ===
Această a doua modalitate este disponibilă și în [[OpenSCAD_Workbench/it|OpenSCAD]]
Utilizați meniul {{KEY/it|[[Image:Part_CreatePrimitives.png|16px]] Creați primitive ... → Cone}}. Se deschide un dialog care vă permite să setați:
</div>


== Notes ==
The cone properties can later be edited, either in the [[Property_editor|Property editor]] or by double-clicking the cone in the [[Tree_view|Tree view]].

* A Part Cone can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 83: Line 78:
</div>
</div>


See also: [[Property_editor|Property editor]].
* {{PropertyData|Radius 1}}: Radius of the arc or circle defining the lower face

* {{PropertyData|Radius 2}}: Radius of the arc or circle defining the upper face
A Part Cone object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData|Height}}: Height of the Part Cone

* {{PropertyData|Angle}}: Number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360° creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.
=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Cone}}

* {{PropertyData|Radius1|Length}}: The radius of the bottom face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius2}} is larger than {{Value|0mm}}. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the top face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius1}} is larger than {{Value|0mm}}. The default is {{Value|4mm}}.
* {{PropertyData|Height|Length}}: The height of the cone. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the top and bottom face of the cone. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cone.


== Scripting ==
== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
A Part Cone can be created using the following function:

A Part Cone can be created with the {{Incode|addObject()}} method of the document:


{{Code|code=
{{Code|code=
Line 98: Line 107:
* Where {{Incode|"myCone"}} is the name for the object.
* Where {{Incode|"myCone"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()
}}




Line 109: Line 135:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:56, 4 March 2022

Part Cone

poziția meniului
Part -> Cone
Ateliere
Part, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part CreatePrimitives

Description

Descriere

Un con parametric trunchiat este un element tip primitivă geometrică disponibil pe bara de instrumente Part sau în meniu (submeniul primitives) se deschide o casetă de dialog Create Primitives .

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its DateRadius1 or DateRadius2 property to zero. It can be turned into a segment of a cone by changing its DateAngle property.

Usage

Cum se folosește

În atelierul Part click pe iconița .

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Primitive Geometriche

Cono

Parametri

  • raggio 1,
  • raggio 2,
  • altezza,
  • angolo

Posizione

Espandere la voce Posizione per stabilire:

  • punto di posizionamento nella vista 3D,
  • direzione dell'asse del cono, x, y, z o definita dall'utente.

Anche le dimensioni e il posizionamento del cono prodotto utilizzando le opzioni di creazione sono modificabili tramite la scheda delle proprietà.

Opțiuni

Cone

  • Radius 1 - raza cercului sau arcului de cer definit de fațeta inferioară
  • Radius 2 - raza cercului sau arcului de cerc definită de fațeta suprioară
  • Height - înălțimea Part Cone
  • Angle - numărul de grade ale arcului sau cercurilor care definesc fațeta superioară și pe cea inferioară ale conului trunchiat. Implicit 360 crează fațete circulare, o valoare mai mică va crea o porțiune a unui con, așa cum este definită de fețele superioare și inferioare, fiecare cu marginile definite de un arc cu numărul de grade și două raze.

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • DateRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if DateRadius2 is larger than 0mm. The default is 2mm.
  • DateRadius2 (Length): The radius of the top face of the cone. Can be 0mm if DateRadius1 is larger than 0mm. The default is 4mm.
  • DateHeight (Length): The height of the cone. The default is 10mm.
  • DateAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()